#spring
spring:
  #Database
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://mysql.default:3306/iuav_cms_dev?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&useSSL=false&serverTimezone=GMT%2B8
    username: iuav_dev
    password: ${MYSQL_PASSWORD}
    #   Druid数据源配置
    type: com.alibaba.druid.pool.DruidDataSource
  #    druid:
  #      initial-size: 10     #初始化连接池大小
  #      min-idle: 10         #最小大小
  #      max-active: 50       #最大大小
  #      max-wait: 60000      #获取连接时最大等待时间，单位毫秒
  #      time-between-eviction-runs-millis: 60000   #配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
  #      min-evictable-idle-time-millis: 300000     #配置一个连接在池中最小生存的时间，单位是毫秒
  #      validation-query: SELECT 1 FROM DUAL       #用来检测连接是否有效的sql
  #      test-while-idle: true                      #申请连接的时候检测，建议配置为true，不影响性能，并且保证安全性
  #      testOnBorrow: false                        #获取连接时执行检测，建议关闭，影响性能
  #      testOnReturn: false                        #归还连接时执行检测，建议关闭，影响性能
  #      pool-prepared-statements: false            #是否开启PSCache，PSCache对支持游标的数据库性能提升巨大，oracle建议开启，mysql下建议关闭
  #      filters: stat,wall                   #配置扩展插件，常用的插件有=>stat:监控统计  log4j:日志  wall:防御sql注入
  #      filter:
  #        wall:
  #          config:
  #            multi-statement-allow: true
  #          db-type: mysql
  #          enabled: true
  #      connection-properties: druid.stat.mergeSql\=true;druid.stat.slowSqlMillis\=5000   #打开慢sql记录和延迟时间
  #      web-stat-filter:
  #        url-pattern: /*
  #        exclusions: "*.js,*.gif,*.jpg,*.png,*.css,*.ico,/druid/*"
  #        enabled: true
  #      stat-view-servlet:
  #        enabled: true
  #        login-username: druid
  #        login-password: druid
  redis:
    database: 1
    host: redis.default
    password: ${REDIS_PASSWORD}
    port: 6379
  #rabbitMQ
  rabbitmq:
    host: amqp-cn-zvp2ozhnj001.cn-shenzhen.amqp-0.vpc.mq.amqp.aliyuncs.com
    port: 5672
    username: MjphbXFwLWNuLXp2cDJvemhuajAwMTpMVEFJNEZ6Q3B5ckEzM1BlZ254V1M2WFY=
    password: ${RABBITMQ_PASSWORD}
    virtual-host: dev

wx:
  #公众号
  sub:
    appid: wx5c6a105a0ddca4c5
    secret: ${WECHAT_SUB_SECRET}
  #小程序
  app:
    id: wx18b7883acd204278
    secret: ${WECHAT_APPLET_SECRET}
    miniprogram-state: trial
    env-version: trial
    token-path: /userservlet/wechat/getAppletUserAccessToken
    port: user

third-party:
  ali:
    app-code: 524b1864a88f47458c1061bae3811570
  qcc:
    app-key: 5015e664848d406ab1ca4b505c3da803
    secret-key: 7C4DB8CCECC148175E46392CC0A1B410
  xzsz:
    #    appKey: 1e8e59e056be41f8a05c090964d7ce37
    #    appSecret: ceshihuanjingyanshizhanghao00000
    #    aes: 0000000000000000
    #    domain: https://uat.xzsz.ltd/
    #    position: 销售推广
    #    taxFundId: xxxxxxxxxxxxxxxxxxxxxxx
    appKey: 37f76305f1864339adc8d6d03fbf918d
    appSecret: hangzhouyunxiangfeikeji000000000
    aes: 0000000000000000
    domain: https://saas.xzsz.ltd
    position: 市场推广
    taxFundId: 0b0376083af4435885bd5d5cd3d63053
    authNotify: https://test.iuav.shop/userapp/xz/xzAuthNotify
    withdrawNotify: https://test.iuav.shop/userapp/xz/xzWithdrawNotify

fdd:
  appid: 407664
  appkey: q146q3Cjmi7Y6BVl8jtZK9pH
  version: 2
  host: https://testapi.fadada.com:8443/api/
  mmc-url: https://test.iuav.shop/userapp/

iuav:
  pay:
    uri: http://payment-svc:8088
  pms:
    uri: http://pms-svc:8099